Bug 667781 - Add iwl6000g2b-firmware - Firmware for Intel(R) Wireless WiFi Link 6030 Series Adapters
Summary: Add iwl6000g2b-firmware - Firmware for Intel(R) Wireless WiFi Link 6030 Serie...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: iwl6000g2b-firmware
Version: 14
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 664515
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-06 18:43 UTC by John W. Linville
Modified: 2011-01-24 20:58 UTC (History)
4 users (show)

(edit)
Clone Of: 664515
(edit)
Last Closed: 2011-01-24 20:58:27 UTC


Attachments (Terms of Use)

Description John W. Linville 2011-01-06 18:43:44 UTC
Add this package to f14...

+++ This bug was initially created as a clone of Bug #664515 +++

Spec URL: http://linville.fedorapeople.org/iwl6000g2b-firmware.spec
SRPM URL: http://linville.fedorapeople.org/iwl6000g2b-firmware-17.168.5.1-1.fc14.src.rpm
Description:
This package contains the firmware required by the iwlagn driver
for Linux to support the iwl6000g2b hardware.  Usage of the firmware
is subject to the terms and conditions contained inside the provided
LICENSE file. Please read it carefully.

--- Additional comment from lemenkov@gmail.com on 2010-12-21 08:50:01 EST ---

I'll review it.

--- Additional comment from lemenkov@gmail.com on 2010-12-21 08:54:02 EST ---

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is almost silent (except one false positive)

sulaco ~/rpmbuild/SPECS: rpmlint ~/rpmbuild/RPMS/noarch/iwl6000g2b-firmware-17.168.5.1-1.fc12.noarch.rpm 
iwl6000g2b-firmware.noarch: W: spelling-error %description -l en_US iwlagn -> lagniappe, lasagna, lagging
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
sulaco ~/rpmbuild/SPECS:

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (redistributable w/o modifications).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum iwlwifi-6000g2b-ucode-17.168.5.1.tgz*
ae1a0f3f378975b61e99a22c3296c50857f79d52a7cf7303f0a8a6f810fc855c  iwlwifi-6000g2b-ucode-17.168.5.1.tgz
ae1a0f3f378975b61e99a22c3296c50857f79d52a7cf7303f0a8a6f810fc855c  iwlwifi-6000g2b-ucode-17.168.5.1.tgz.1
sulaco ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

APPROVED.

--- Additional comment from linville@redhat.com on 2010-12-21 09:26:56 EST ---

New Package SCM Request
=======================
Package Name: iwl6000g2b-firmware
Short Description: Firmware for Intel(R) Wireless WiFi Link 6030 Series Adapters
Owners: linville
Branches: f14
InitialCC: linville

--- Additional comment from tibbs@math.uh.edu on 2011-01-06 11:24:30 EST ---

Git done (by process-git-requests).

Comment 1 Fedora Update System 2011-01-06 18:46:38 UTC
iwl6000g2b-firmware-17.168.5.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/iwl6000g2b-firmware-17.168.5.1-1.fc14

Comment 2 Fedora Update System 2011-01-07 20:00:49 UTC
iwl6000g2b-firmware-17.168.5.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update iwl6000g2b-firmware'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/iwl6000g2b-firmware-17.168.5.1-1.fc14

Comment 3 Fedora Update System 2011-01-24 20:58:22 UTC
iwl6000g2b-firmware-17.168.5.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.